﻿// Copyright 2018 Consorsbank
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using Com.Consorsbank.Module.Tapi.Grpc;
using System;
using System.Collections.Generic;
using System.Text;

namespace TestClient
{
    public class TestUtils
    {
        public static SecurityCode GetSecurityCode(string code, SecurityCodeType codeType) {
            return new SecurityCode // <1>
            {
                Code = code,
                CodeType = codeType
            };
        }



        public static StockExchange GetStockExchange(string stockExchangeId, string issuer)
        {
            return new StockExchange
            {
                Id = stockExchangeId,
                Issuer = issuer ?? ""
            };
        }


        public static SecurityWithStockExchange GetSecurityWithStockExchange(SecurityCode securityCode, StockExchange stockExchange)
        {
            return new SecurityWithStockExchange
            {
                SecurityCode = securityCode,
                StockExchange = stockExchange
            };
        }
    }
}
